<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- CSRF Token -->
  <meta name="csrf-token" content="{{ csrf_token() }}">

  <title>{{ config('app.name', 'Laravel') }}</title>

  <!-- Styles -->
  <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
  <div id="app">
    <nav class="navbar navbar-default navbar-static-top">
      <div class="container">
        <div class="navbar-header">

          <!-- Collapsed Hamburger -->
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#app-navbar-collapse">
            <span class="sr-only">Toggle Navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>

          <!-- Branding Image -->
          <a class="navbar-brand" href="{{ url('/') }}">
            {{ config('app.name', 'Laravel') }}
          </a>
        </div>

        <div class="collapse navbar-collapse" id="app-navbar-collapse">
          <!-- Left Side Of Navbar -->
          <ul class="nav navbar-nav">
            <li class="dropdown">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                Bidders
                <span class="caret">
                </span>
              </a>
              <ul class="dropdown-menu">
                <li>
                  <a href="/bidders">
                    Add Bidder
                  </a>
                </li>
                <li>
                  <a href="/bidderlist">
                    List Bidders
                  </a>
                </li>
              </ul>
            </li>
            <li class="dropdown">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                Items
                <span class="caret">
                </span>
              </a>
              <ul class="dropdown-menu">
                <li>
                  <a href="/items">
                    Add Item
                  </a>
                </li>
                <li>
                  <a href="/itemlist">
                    List Items
                  </a>
                </li>
              </ul>
            </li>

            <li class="dropdown">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                Winners
                <span class="caret">
                </span>
              </a>
              <ul class="dropdown-menu">
                <li>
                  <a href="/winners">
                    Add Winner
                  </a>
                </li>
                <li>
                  <a href="/editwinners">
                    Edit Winner
                  </a>
                </li>
                <li>
                  <a href="/winnerlist">
                    List Winners
                  </a>
                </li>
                <li>
                  <a href="/winnersbyitem">
                    Winners by Item
                  </a>
                </li>
              </ul>
            </li>
            <li class="dropdown">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                CarShow
                <span class="caret">
                </span>
              </a>
              <ul class="dropdown-menu">
                <li>
                  <a href="/showcars">
                    Add Car
                  </a>
                </li>
                <li>
                  <a href="/showcarlist">
                    List Show Cars
                  </a>
                </li>
                <li>
                  <a href="/judgingentry">
                    Judging Entry
                  </a>
                </li>
                <li>
                  <a href="/pcentry">
                    People's Choice Entry
                  </a>
                </li>
                <li>
                  <a href="/judges">
                    Add Judge
                  </a>
                </li>
                <!--<li>
                  <a href="/awardcategories">
                    Add Award Category
                  </a>
                </li>-->
                <li>
                  <a href="/showwinners">
                    Car Show Winners
                  </a>
                </li>
                <li>
                  <a href="/showscores">
                    Vehicle Total Scores
                  </a>
                </li>
              </ul>
            </li>
            <li class="dropdown">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                Reports
                <span class="caret">
                </span>
              </a>
              <ul class="dropdown-menu">
                <li>
                  <a href="/bidderlist">
                    Bidders
                  </a>
                </li>
                <li>
                  <a href="/checkout_complete_list">
                    Completed Checkouts
                  </a>
                </li>
                <li>
                  <a href="/itemlist">
                    Items
                  </a>
                </li>
                <li>
                  <a href="/winnerlist">
                    Winners
                  </a>
                </li>
              </ul>
            </li>
            <li>
              <a href="/reprint_receipt">
                Re-Print Reciept
              </a>
            </li>
            <li>
              <a href="/checkout">
                Checkout Bidder
              </a>
            </li>
          </ul>
          <!-- Right Side Of Navbar -->
          <ul class="nav navbar-nav navbar-right">
            <!-- Authentication Links -->
            @if (Auth::guest())
            <li><a href="{{ route('login') }}">Login</a></li>
            @else
            <li class="dropdown">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                {{ Auth::user()->name }} <span class="caret"></span>
              </a>

              <ul class="dropdown-menu" role="menu">
                <li>
                  <a href="{{ route('logout') }}"
                  onclick="event.preventDefault();
                  document.getElementById('logout-form').submit();">
                  Logout
                </a>

                <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                  {{ csrf_field() }}
                </form>
              </li>
            </ul>
          </li>
          @endif
        </ul>
      </div>
    </div>
  </nav>

  @yield('content')
</div>

<!-- Scripts -->
<script src="{{ asset('js/app.js') }}"></script>
</body>
</html>
